<div class="wrap" id="dk-speakup">

	<div id="icon-dk-speakup" class="icon32"><br /></div>
	<h2><?php echo $page_title; ?> <a href="<?php echo $addnew_url; ?>" class="button add-new-h2"><?php _e( 'Add New', 'dk_speakup' ); ?></a></h2>
	<?php if ( $message_update ) echo '<div id="message" class="updated"><p>' . $message_update . '</p></div>' ?>

	<div class="tablenav">
		<ul class='subsubsub'>
			<li class='table-label'><?php _e( 'All Petitions', 'dk_apeakup' ); ?> <span class="count">(<?php echo $count; ?>)</span></li>
		</ul>
		<?php pagination( $query_limit, $count, 'dk_speakup', $current_page, site_url( 'wp-admin/admin.php?page=dk_speakup' ), true ); ?>
	</div>

	<table class="widefat">
		<thead>
			<tr>
				<th><?php _e( 'Petition', 'dk_speakup' ); ?></th>
				<th><?php _e( 'Shortcode', 'dk_speakup' ); ?></th>
				<th class="dk-speakup-right"><?php _e( 'Signatures', 'dk_speakup' ); ?></th>
				<th class="dk-speakup-right"><?php _e( 'Goal', 'dk_speakup' ); ?></th>
				<th></th>
			</tr>
		</thead>
		<tfoot>
			<tr>
				<th><?php _e( 'Petition', 'dk_speakup' ); ?></th>
				<th><?php _e( 'Shortcode', 'dk_speakup' ); ?></th>
				<th class="dk-speakup-right"><?php _e( 'Signatures', 'dk_speakup' ); ?></th>
				<th class="dk-speakup-right"><?php _e( 'Goal', 'dk_speakup' ); ?></th>
				<th></th>
			</tr>
		</tfoot>
		<tbody>
			<?php if ( $count == 0 ) echo '<tr><td colspan="5">' . __( "No email petitions found.", "dk_speakup" ) . ' </td></tr>'; ?>
			<?php foreach ( $results as $field ) : ?>
				<?php $edit_url = esc_url( wp_nonce_url( site_url() . '/wp-admin/admin.php?page=dk_speakup_edit&action=edit&id=' . $field->id, 'dk_speakup-edit_petition' . $field->id ) ); ?>
				<?php $delete_url = esc_url( wp_nonce_url( site_url() . '/wp-admin/admin.php?page=dk_speakup&action=delete&id=' . $field->id, 'dk_speakup-delete_petition' . $field->id ) ); ?>
				<?php $signatures_url = esc_url( site_url() . '/wp-admin/admin.php?page=dk_speakup_signatures&action=petition&pid=' . $field->id ); ?>
			<tr>
				<td>
					<a class="row-title" href="<?php echo $edit_url; ?>"><?php echo esc_html( $field->petition_title ); ?></a>
					<div class="row-actions">
						<span class="edit"><a href="<?php echo $edit_url; ?>"><?php _e( 'Edit' ); ?></a> | </span>
						<span class=""><a href="<?php echo $delete_url; ?>" class="dk-speakup-delete-petition"><?php _e( 'Delete', 'dk_speakup' ); ?></a></span>
					</div>
				</td>
				<td><?php echo '[emailpetition&nbsp;id="' . $field->id . '"]'; ?></td>
				<td class="dk-speakup-right"><?php echo number_format( $field->signatures ); ?></td>
				<td class="dk-speakup-right"><?php echo dk_speakup_admin_goal_progress( $field->signature_goal, $field->signatures, 65 ); ?></td>
				<td class="dk-speakup-right"><a href="<?php echo $signatures_url; ?>"><?php _e( 'View Signatures', 'dk_speakup' ); ?></a></td>
			</tr>
			<?php endforeach; ?>
		</tbody>
	</table>

	<div class="tablenav">
		<?php pagination( $query_limit, $count, 'dk_speakup', $current_page, site_url( 'wp-admin/admin.php?page=dk_speakup' ), false ); ?>
	</div>

	<div id="dk-speakup-delete-confirmation" class="dk-speakup-hidden"><?php _e( 'Delete this petition permanently? All of the petition\'s signatures will be deleted as well.', 'dk_speakup' ); ?></div>

</div>